default:
  name:                                 Default
  description:                          Default configuration of ViMP with most functions activated
  reset:                                true

minimal:
  name:                                 Minimal
  description:                          Minimum configuration with only the most basic functions activated
  defaults:
    enable_groups:                      false
    enable_channels:                    false
    enable_blog:                        false
    enable_forum:                       false
    webtv_mode:                         0 # Community only
    enable_youtube:                     false
    enable_vimeo:                       false
    fbc_enabled:                        false
    google_maps_key:                    ~
    media_showsharebutton:              false
    blog_showsharebutton:               false
    player_showsharebutton:             false
    embed_player_showsharebutton:       false
    webtv_player_showsharebutton:       false
    fbl_enabled:                        false
    gpb_enabled:                        false
    tws_enabled:                        false
    tagcloud_enabled:                   false
    mediaimport_enabled:                false
    enable_openid:                      false
    enable_newusers:                    false
    enable_usersonline:                 false
    media_enable_gazing:                false
    media_enable_details:               false
    media_enable_related:               false
    player_recommended_enabled:         false
    embed_player_recommended_enabled:   false
    webtv_player_recommended_enabled:   false
    media_enable_referers:              false
    media_enable_categories:            false
    media_enable_tags:                  false
    enable_media_player:                false
    enable_media_featured_box:          false
    enable_user_startpage_box:          false
    enable_activities_startpage_box:    false
    enable_community:                   false
    enable_pm:                          false
    enable_friends:                     false
    media_enable_comments:              false
    user_enable_comments:               false
    richtext_editor:                    none
    download_video:                     false
    download_audio:                     false
    download_photo:                     false
    download_document:                  false
    media_enable_rating:                false
    player_rating_enabled:              false
    embed_player_rating_enabled:        false
    webtv_allow_rating:                 false
    webtv_player_rating_enabled:        false
    verify_uploaded_media:              true
    #media_closed_view:                  false
    media_views_enabled:                false
    verify_registered_user:             true
    enable_sliderbox:                   false
    enable_album:                       false


business:
  name:                                 Business
  description:                          Initial configuration for corporate video platforms
  editions:                             [enterprise, ultimate, corporate]
  defaults:
    template_skin:                      business
    template_webtv_skin:                business
    template_mobile_skin:               nitro
    mediapage_media_perpage:            45
    mediapage_media_perpage_list:       8
    mediapage_media_perpage_big:        24
    download_video:                     true
    download_audio:                     true
    download_photo:                     true
    download_document:                  true
    webcontent_startpage:               %PRESETS_WEBCONTENT_STARTPAGE%
    enable_media_player:                true
    disable_signup:                     true
    disable_upload:                     true
    webtv_mode:                         0 # Community only
    enable_forum:                       false
    enable_groups:                      false
    enable_channels:                    false
    enable_community:                   false
    enable_pm:                          false
    enable_friends:                     false
    enable_media_featured_box:          false
    enable_activities_startpage_box:    false
    enable_blog:                        false
    enable_album:                       false
    fbc_enabled:                        false
    media_showsharebutton:              false
    blog_showsharebutton:               false
    player_showsharebutton:             false
    embed_player_showsharebutton:       false
    webtv_player_showsharebutton:       false
    fbl_enabled:                        false
    gpb_enabled:                        false
    tws_enabled:                        false
    enable_youtube:                     false
    enable_vimeo:                       false
    google_maps_key:                    ~
    media_enable_rating:                false
    player_rating_enabled:              false
    embed_player_rating_enabled:        false
    webtv_allow_rating:                 false
    webtv_player_rating_enabled:        false
    media_enable_comments:              false
    user_enable_comments:               false
    verify_uploaded_media:              false
    approve_new_media_contributions:    true
    approve_media_modifications:        true
    media_approval_default_user_role:   1
    media_approval_default_user:        1


webtv:
  name:                                 WebTV
  description:                          Configuration for exclusive web tv platforms
  applications:                         [webtv]
  defaults:
    webtv_mode:                         1 # WebTV only
    enable_community:                   false
    enable_pm:                          false
    enable_friends:                     false
    enable_channels:                    false
    enable_forum:                       false
    enable_blog:                        false
    enable_groups:                      false
    enable_album:                       false
    enable_document:                    false
    enable_audio:                       false
    enable_photo:                       false
    disable_upload:                     true
    enable_youtube:                     false
    enable_vimeo:                       false
    google_maps_key:                    ~

medialibrary:
  name:                                 Media library
  description:                          Configuration for video on demand platforms or online media libraries
  defaults:
    webcontent_startpage:               %PRESETS_WEBCONTENT_STARTPAGE%
    mediapage_media_perpage:            45
    mediapage_media_perpage_list:       8
    mediapage_media_perpage_big:        24
    webtv_mode:                         2 # WebTV + Community
    enable_groups:                      false
    enable_forum:                       false
    enable_blog:                        false
    enable_activities_startpage_box:    false
